/********************************************************* begin of preamble
**
** Copyright (C) 2003-2012 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
/**
 * 
 */
package com.sos.dailyschedule;
/**
 * @author KB
 *
 */
public class DashBoardConstants {
	/**
	 * 
	 */
    public final static String  conPropertiesFileName               = "SOSSchedulerDashboardMain";

	public final static String	conSOSDashB_Message					= "SOSDashB_Message";			    // "Message";
	public static final String	STATUS_EXECUTED						= "executed";
	public static final String	STATUS_WAITING						= "waiting";
	public static final String	ORDER_CRITERIA						= "startTime";
	public static final String	SORT_MODE							= "desc";
	public static final String	conSOSDashB_disableIgnore			= "SOSDashB_DisableIgnore";		      // "Disable ignore";
	public static final String	conSOSDashB_enableIgnore			= "SOSDashB_EnableIgnore";		      // "Enable ignore";
	public static final String	conSOSDashB_resetIgnore				= "SOSDashB_ResetIgnore";		      // "Reset ignore";
	public static final String	conTabLOG							= "Log";
	public static final String	conSOSDashB_addIgnore				= "SOSDashB_AddIgnore";			      // "Add to ignore";
    public static final String  conSOSDashB_only_with_error         = "SOSDashB_only_with_error";         // "Only with error";
    public static final String  conSOSDashB_only_stand_alone_jobs   = "SOSDashB_only_stand_alone_jobs";   // "Only stand alone jobs";
	public static final String	conSOSDashB_only_job_chains			= "SOSDashB_only_job_chains";		  // "Only job chains";
	public static final String	conSOSDashB_only_late				= "SOSDashB_only_late";			      // "Only late";
	public static final String	conSOSDashB_only_waiting			= "SOSDashB_only_waiting";			  // "Only waiting";
	public static final String	conSOSDashB_start_now				= "SOSDashB_start_now";			      // "Start now";
	public static final String	conSOSDashB_Today					= "SOSDashB_Today";				      // "Today";
	public static final String	conSOSDashB_Reset					= "SOSDashB_Reset";				      // "Reset";
	public static final String	conSOSDashB_only_executed			= "SOSDashB_only_executed";		      // "only executed"
	public static final String	conSOSDashB_show_log_in_new_tab		= "SOSDashB_show_log_in_new_tab";	  // "Show log in a new tab";
	public static final String	conSOSDashB_open_scheduler			= "SOSDashB_open_scheduler";		  // "Open Scheduler";
	public static final String	conSOSDashB_close					= "SOSDashB_close";				      // "close";
	public static final String	conSOSDashB_new_log					= "SOSDashB_new_log";				  // "New Log";
	public static final String	conSOSDashB_NAME_TAB_HISTORY		= "SOSDashB_NAME_TAB_HISTORY";
	public static final String	conSOSDashB_NAME_TAB_PLANNED		= "SOSDashB_NAME_TAB_PLANNED";
	public static final String	conSOSDashB_NAME_TAB_JOBNET			= "SOSDashB_NAME_TAB_JOBNET";
	public static final String	conSOSDashB_FROM					= "SOSDashB_FROM";
	public static final String	conSOSDashB_TO						= "SOSDashB_TO";
	public final static String	conSOSDashB_JOBS					= "SOSDashB_JOBS";
	public final static String	conSOSDashB_JOBCHAINS				= "SOSDashB_JOBCHAINS";
	public final static String	conSOSDashB_LATE					= "SOSDashB_LATE";
	public final static String	conSOSDashB_Refresh					= "SOSDashB_Refresh";
	public final static String	conSOSDashB_SchedulerID				= "SOSDashB_SchedulerID";
	public final static String	conSOSDashB_JOB						= "SOSDashB_JOB";
	public final static String	conSOSDashB_JOBCHAIN				= "SOSDashB_JOBCHAIN";
	public final static String	conSOSDashB_ORDER					= "SOSDashB_ORDER";
	public final static String	conSOSDashB_START					= "SOSDashB_START";
	public final static String	conSOSDashB_END						= "SOSDashB_END";
	public final static String	conSOSDashB_EXIT					= "SOSDashB_EXIT";
	public static final String	conSOSDashB_ShowIgnored				= "SOSDashB_ShowIgnored";			// "%1s Jobs %2s Orders ignored";
	public final static String	conSOSDashB_Planned					= "SOSDashB_Planned";
	public final static String	conSOSDashB_Executed				= "SOSDashB_Executed";
	public final static String	conSOSDashB_Status					= "SOSDashB_Status";
    public final static String  conSOSDashB_JobNet                  = "SOSDashB_JobNet";


	private DashBoardConstants() {
		// TODO Auto-generated constructor stub
	}
}
