/********************************************************* begin of preamble
**
** Copyright (C) 2003-2012 Software- und Organisations-Service GmbH. 
** All rights reserved.
**
** This file may be used under the terms of either the 
**
**   GNU General Public License version 2.0 (GPL)
**
**   as published by the Free Software Foundation
**   http://www.gnu.org/licenses/gpl-2.0.txt and appearing in the file
**   LICENSE.GPL included in the packaging of this file. 
**
** or the
**  
**   Agreement for Purchase and Licensing
**
**   as offered by Software- und Organisations-Service GmbH
**   in the respective terms of supply that ship with this file.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
** IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
** THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
** PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
** BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
** POSSIBILITY OF SUCH DAMAGE.
********************************************************** end of preamble*/
// $Id: scripting_engine.cxx 11394 2005-04-03 08:30:29Z jz $
// Nachbau des Scripting Engine Schnittstelle

#include "zschimmer.h"

//#include "com.h"
//#include "z_com.h"
#include "com_base.h"

//--------------------------------------------------------------------------------------------const

#ifdef Z_UNIX
    extern DEFINE_GUID( IID_IActiveScriptError  , 0xeae1ba61, 0xa4ed, 0x11cf, 0x8f, 0x20, 0x0, 0x80, 0x5f, 0x2c, 0xd0, 0x64 );
    extern DEFINE_GUID( IID_IActiveScriptSite   , 0xdb01a1e3, 0xa42b, 0x11cf, 0x8f, 0x20, 0x0, 0x80, 0x5f, 0x2c, 0xd0, 0x64 );
    extern DEFINE_GUID( IID_IActiveScript       , 0xbb1a2ae1, 0xa4f9, 0x11cf, 0x8f, 0x20, 0x0, 0x80, 0x5f, 0x2c, 0xd0, 0x64 );
    extern DEFINE_GUID( IID_IActiveScriptParse  , 0xbb1a2ae2, 0xa4f9, 0x11cf, 0x8f, 0x20, 0x0, 0x80, 0x5f, 0x2c, 0xd0, 0x64 );

    //extern DEFINE_GUID( CLSID_Perl              , 0x60a0062b, 0x8877, 0x4a83, 0x86, 0x11, 0xd, 0x14, 0x28, 0xe0, 0xd9, 0xda );
    extern DEFINE_GUID( CLSID_PerlScript        , 0x59603c57, 0xff4d, 0x41af, 0xac, 0x7e, 0xe9, 0xab, 0xc0, 0x84, 0x31, 0x33 );
#endif


// {feee46e7-6c1b-11d8-8103-000476ee8afb}
extern Z_DEFINE_GUID( CLSID_Spidermonkey      , 0xfeee46e7, 0x6c1b, 0x11d8, 0x81, 0x03, 0x00, 0x04, 0x76, 0xee, 0x8a, 0xfb );

//-------------------------------------------------------------------------------------------------
